Update

Update an agent in your organization.

Authentication

Authorizationstring
API Key authentication via header

Path parameters

idstringRequiredformat: "uuid"

Request

This endpoint expects an object.
namestring or nullOptional1-256 characters

The name of the AI Agent (e.g. Penny).

descriptionstring or nullOptional<=512 characters

Describe how your AI looks (e.g. surfing seal).

personalitystring or nullOptional<=20000 characters
Describe how your AI acts and behaves. This is used to generate the base prompt of your AI. The base prompt is what gives personality to how your AI responds and interacts with users.
selected_personalitystring or nullOptionalformat: "uuid"
The ID of the Persona that is currently selected for this agent.
personalboolean or nullOptionalDefaults to false
Is the agent a personal agent or a public agent. If personal is true the agent will not be listed on marketplaces, if it false then it will be.
image_urlstring or nullOptional
Image of the AI, this is the image that appears as the profile picture of the AI. If this AI is connected to a Community then this image will be the Community's profile picture too.
websitestring or nullOptional
logic_model_temperaturedouble or nullOptional
Temperature for the logic model
custom_welcome_messagestring or nullOptional
A custom first message that this agent will send
agent_capabilitiesstring or nullOptional
Text describing the capabilities of the agent
categoryenum or nullOptional
The category of the agent
interest_tagslist of strings or nullOptional

Interest tags for agent discovery (max 10)

point_of_interest_idstring or nullOptionalformat: "uuid"

The id of a Point of Interest representing the agent’s location. Resolve or create one via POST /v2/points_of_interest, then pass its id here. Takes precedence over the deprecated place_id.

meta_datamap from strings to any or nullOptional
place_idstring or nullOptionalDeprecated

DEPRECATED: Use point_of_interest_id instead. A Google Place ID representing the agent’s location. Providing an empty string will clear the location.

Response

Successful Response
idstringformat: "uuid"
namestring
descriptionstring
organizationobject or null
Schema for the Organization
imagesobject
featuresobject
personalitystringOptionalDefaults to
personalboolean or nullOptionalDefaults to false
Is the agent a personal agent or a public agent. If personal is true the agent will not be listed on marketplaces, if it false then it will be.
knowledge_graphobject or nullOptional
Knowledge graph for the agent
websitestringOptional
agent_capabilitiesstring or nullOptional
logic_model_temperaturedoubleOptionalDefaults to 0.1
Temperature for the logic model
agent_addressstring or nullOptional
agent_handlestring or nullOptional

Agentverse handle for the agent (e.g. ‘my-agent-handle’ for @my-agent-handle.av)

voice_idstringOptionalDefaults to jqcCZkN6Knx8BJ5TBdYR
ElevenLabs voice ID used for TTS playback of this agent's responses.
point_of_interestobject or nullOptional
Location information for the agent.
categoryenum or nullOptional
interest_tagslist of stringsOptional
meta_datamap from strings to anyOptional

Errors

422
Unprocessable Entity Error